package de.jeyp91.apifootball;

import de.jeyp91.openligadb.OpenLigaDBConnector;
import org.junit.Test;

import java.util.ArrayList;

public class APIFootballConnectorTest {

    @Test
    public void APITestGetMatchDataOfMatchdayBundesliga() {
        APIFootballConnector apiFootballConnector = APIFootballConnector.getAPIFootballConnectorInstance(2020);
        ArrayList<APIFootballMatch> matchesOfMatchday = apiFootballConnector.getMatchDataByLeagueAndMatchday(2677, 1);
        assert matchesOfMatchday.get(0).getTeamIdHome() == 744;
        assert matchesOfMatchday.get(0).getTeamIdGuest() == 159;
    }
}
